import request from '@/utils/request'

// 获取dicomAE列表
export function getDicomAEList(data) {
    return request({
        url: '/DicomAE/getDicomAEList',
        method: 'post',
        data
    })
}

// 新增或编辑dicomAE
export function setDiicomAE(data) {
    return request({
        url: '/DicomAE/addOrUpdateDicomAE',
        method: 'post',
        data
    })
}

// 删除dicomAE
export function deleteDiicomAE(id) {
    return request({
        url: `/DicomAE/deleteDicomAE/${id}`,
        method: 'delete'
    })
}

// 测试scp server是否可以连接
export function testConnect(id) {
    return request({
        url: `/DicomAE/testSCPServerConnect/${id}`,
        method: 'get'
    })
}

// 获取calledAE下拉框数据
export function getDicomCalledAEList() {
    return request({
        url: `/Patient/getDicomCalledAEList`,
        method: 'get'
    })
}
// 获取callingAE下拉框数据
export function getDicomCallingAEList() {
    return request({
        url: `/Patient/getDicomCallingAEList`,
        method: 'get'
    })
}